## Name

auth_getoption — Search an option string

## Synopsis

#include <courierauth.h>

`char *value=auth_getoption(` | const char *options,
| const char *keyword`)`;

## DESCRIPTION

This is a convenience function for parsing account options, as received by the callback function invoked by auth_generic_meta(3), auth_login_meta(3), auth_getuserinfo_meta(3), and auth_passwd(3).

`options` is the `options` field from authinfo (which can be `NULL`). As described in auth_generic_meta(3) (and the others), it is a comma-separated list of “`keyword`=`value`” pairs.

`auth_getoption` searches `options` for a `keyword`.

## RETURNS

If `options` does not have the `keyword`, `auth_getoption` returns `NULL` with `errno` set to `ENOENT`. Otherwise `auth_getoption` allocates a buffer for `value`, and returns it. It is the caller's responsibility to free(3) the returned buffer.

`auth_getoption` returns `NULL` with `errno` set to `ENOMEM` if it cannot allocate a buffer.

## SEE ALSO

authlib(3), auth_generic_meta(3), auth_login_meta(3), auth_getuserinfo_meta(3).